> For the complete documentation index, see [llms.txt](https://docs.hex-rays.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hex-rays.com/9.0sp1/user-guide/disassembler/disassembly-gallery/arm-processor-epoc-romfile.md).

# ARM Processor EPOC ROMFile

Assembler code

```
.text:50292274                 B       sub_5029254C
.text:50292274 ; ---------------------------------------------------------------------------
.text:50292278 off_50292278    DCD start               ; DATA XREF: start+3C↑r
.text:5029227C ; ---------------------------------------------------------------------------
.text:5029227C                 MOV     R1, R0
.text:50292280                 LDR     R0, =start
.text:50292284                 B       sub_50292558
.text:50292284 ; ---------------------------------------------------------------------------
.text:50292288 off_50292288    DCD start               ; DATA XREF: start+4C↑r
.text:5029228C ; ---------------------------------------------------------------------------
.text:5029228C                 LDR     R0, =start
.text:50292290                 B       sub_50292564
.text:50292290 ; ---------------------------------------------------------------------------
.text:50292294 off_50292294    DCD start               ; DATA XREF: start+58↑r
.text:50292298 ; ---------------------------------------------------------------------------
.text:50292298                 LDR     R0, =start
.text:5029229C                 B       sub_50292570
.text:5029229C ; ---------------------------------------------------------------------------
.text:502922A0 off_502922A0    DCD start               ; DATA XREF: start+64↑r
.text:502922A4 ; ---------------------------------------------------------------------------
.text:502922A4                 LDR     R0, =start
.text:502922A8                 B       sub_5029257C
.text:502922A8 ; ---------------------------------------------------------------------------
.text:502922AC off_502922AC    DCD start               ; DATA XREF: start+70↑r
.text:502922B0 ; ---------------------------------------------------------------------------
.text:502922B0                 LDR     R0, =start
.text:502922B4                 B       sub_50292588
.text:502922B4 ; ---------------------------------------------------------------------------
.text:502922B8 off_502922B8    DCD start               ; DATA XREF: start+7C↑r
.text:502922BC ; ---------------------------------------------------------------------------
.text:502922BC                 MOV     R1, R0
.text:502922C0                 LDR     R0, =start
.text:502922C4                 B       sub_50292594
.text:502922C4 ; ---------------------------------------------------------------------------
.text:502922C8 off_502922C8    DCD start               ; DATA XREF: start+8C↑r
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hex-rays.com/9.0sp1/user-guide/disassembler/disassembly-gallery/arm-processor-epoc-romfile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
